Loading...
Searching...
No Matches
XrdOfsEvr::theEvent Struct Reference

`#include <XrdOfsEvr.hh>`

Collaboration diagram for XrdOfsEvr::theEvent:

## Public Member Functions

| theEvent (int rc, const char *emsg, theClient *cp=0)
| ~theEvent ()

## Public Attributes

theClient * | aClient
char * | finalMsg
int | finalRC
char | Happened

## Detailed Description

Definition at line 89 of file XrdOfsEvr.hh.

## Constructor & Destructor Documentation

## theEvent()

XrdOfsEvr::theEvent::theEvent | ( | int | rc,
|  | const char * | emsg,
|  | theClient * | cp = 0 )

inline

Definition at line 94 of file XrdOfsEvr.hh.

{aClient = cp; finalRC = rc; Happened = 0;
finalMsg = (emsg ? strdup(emsg) : 0);
}
emsg
int emsg(int rc, char *msg)
Definition XrdSectestServer.cc:309
XrdOfsEvr::theEvent::aClient
theClient * aClient
Definition XrdOfsEvr.hh:89
XrdOfsEvr::theEvent::finalRC
int finalRC
Definition XrdOfsEvr.hh:91
XrdOfsEvr::theEvent::Happened
char Happened
Definition XrdOfsEvr.hh:92
XrdOfsEvr::theEvent::finalMsg
char * finalMsg
Definition XrdOfsEvr.hh:90

References aClient, emsg(), finalMsg, finalRC, and Happened.

Here is the call graph for this function:

## ~theEvent()

XrdOfsEvr::theEvent::~theEvent | ( |  | ) |

inline

Definition at line 98 of file XrdOfsEvr.hh.

{if (finalMsg) free(finalMsg);
if (aClient) delete aClient;
}

References aClient, and finalMsg.

## Member Data Documentation

## aClient

theClient* XrdOfsEvr::theEvent::aClient

Definition at line 89 of file XrdOfsEvr.hh.

Referenced by theEvent(), ~theEvent(), and XrdOfsEvr::Work4Event().

## finalMsg

char* XrdOfsEvr::theEvent::finalMsg

Definition at line 90 of file XrdOfsEvr.hh.

Referenced by theEvent(), and ~theEvent().

## finalRC

int XrdOfsEvr::theEvent::finalRC

Definition at line 91 of file XrdOfsEvr.hh.

Referenced by theEvent().

## Happened

char XrdOfsEvr::theEvent::Happened

Definition at line 92 of file XrdOfsEvr.hh.

Referenced by theEvent(), and XrdOfsEvr::Work4Event().

The documentation for this struct was generated from the following file:

- XrdOfsEvr.hh